/**
 *  Copyright 2005-2006 Aviad Ben Dov
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.crp.whirl;

import java.io.IOException;

public final class IO extends MachinePart {
	public char readChar() {
		try {
			 return (char)System.in.read(); 
		} catch (IOException ex) {
			ex.printStackTrace();
			System.exit(-1);

			return 0;
		}
	}

	public int readInt() { 
		try {
			return System.in.read() - '0'; 
		} catch (IOException ex) {
			ex.printStackTrace();
			System.exit(-1);

			return 0;
		}
	}

	public void writeChar(char c) { 
		// System.out.print(c); 
	}

	public void writeInt(int i) { 
		// System.out.print(i); 
	}
}
